Important Release Security fixes for EasySocial 3.2.5 is now available 🚨Update Now!!

Helpdesk

Update 3.9 to 5

Hi I have recently purchased a EasyBlog v5 licence having previously had a 3.9 licence but I let that expire about a year ago.
I need to update EasyBlog to the new version on my site but I am afraid that it might delete my existing posts if I do.
Please advise
Many thanks
Shona

This section can only be seen by users with a valid subscription.
If you have a valid subscription, please login now

Your time
Stack Ideas HQ
Support is
Offline

It is currently a public holiday for us from where we are at.

There may be a delay in our responses but rest assured that we will be back at full speed when everyone is back to the office.

Subscribe for product updates & promotions